org.aspectj.lang.annotation.control

## Annotation Type CodeGenerationHint

    @Retention(value=SOURCE)
     @Target(value=METHOD)
    public @interface CodeGenerationHint

Provide code generation hints to the compiler (e.g. names to use for generated members).

Author:
  Andy Clement

### Optional Element Summary

Optional Elements
`String` `ifNameSuffix`

### Element Detail

#### ifNameSuffix

    public abstract String ifNameSuffix

Returns:
  the name suffix to use for a generated member representing an if pointcut (prefix will be 'ajc$if$'). If left blank, a suffix will be generated.

Default:
  ""